require "numru/ggraph"
include NumRu

dir = '..'

vnames = ['SurfTemp', 'PRCP', 'SoilMoist', 'SurfSnow', 'OLRA', 'OSRA', 'SLRA', 'SSRA']

figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
#iyrs =  3
#iyre =  3

for ivar in 0..(vnames.length-1)
  for imon in 1..12

    p vnames[ivar] + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s + ', Month: ' + imon.to_s

    system('ruby draw_2D_zm_y_mon.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + imon.to_s )

    system("pstoimg -type gif dcl.ps")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_zm_"+vnames[ivar]+"_mon%0#{2}d.gif", imon )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_zm_"+vnames[ivar]+"_mon%0#{2}d.ps" , imon )
    system(com)

  end
end
