require "numru/ggraph"
include NumRu

dir = '..'

vnames = ['SurfTemp', 'PRCP', 'SoilMoist', 'SurfSnow', 'OLRA', 'OSRA', 'SLRA', 'SSRA']

figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
#iyrs =  3
#iyre =  3

for ivar in 0..(vnames.length-1)

  p vnames[ivar] + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s

  system('ruby draw_2D_zm_y_year.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s )

  system("pstoimg -type gif dcl.ps")
  com = sprintf( "mv dcl.gif "+figdir+"/dcl_zm_"+vnames[ivar]+"_year.gif" )
  system(com)
  com = sprintf( "mv dcl.ps  "+figdir+"/dcl_zm_"+vnames[ivar]+"_year.ps" )
  system(com)

end
